Page MenuHomeFreeBSD

Update USES=go docs for D19570
ClosedPublic

Authored by dmgk on Apr 3 2019, 2:15 PM.

Details

Summary
  • Add modules argument description
  • Describe how GO_PKGNAME works in modules mode; add note about GO_PKGNAME/GH_SUBDIR relationship
  • Document GO_BUILDFLAGS

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Apr 3 2019, 2:15 PM
dmgk retitled this revision from Update USES=go docs for D19570 - Add modules argument description - Describe how GO_PKGNAME works in modules mode; add note about GO_PKGNAME/GH_SUBDIR relationship - Document GO_BUILDFLAGS to Update USES=go docs for D19570.Apr 3 2019, 2:17 PM
dmgk edited the summary of this revision. (Show Details)
dmgk added reviewers: swills, jlaffaye, tobik, 0mp. dmgk removed 1 blocking reviewer(s): mat.
Herald added 1 blocking reviewer(s): mat. · View Herald TranscriptApr 3 2019, 2:17 PM
mat added inline comments.Apr 3 2019, 3:34 PM
en_US.ISO8859-1/books/porters-handbook/uses/chapter.xml
1208–1212 ↗(On Diff #55777)

If it is passed to *install*, it should be named with INSTALL in it and not BUILD.

dmgk added inline comments.Apr 3 2019, 3:45 PM
en_US.ISO8859-1/books/porters-handbook/uses/chapter.xml
1208–1212 ↗(On Diff #55777)

It does look like it is misnamed but technically it is a correct name. From go help install:

usage: go install [-i] [build flags] [packages]

Install compiles and installs the packages named by the import paths.

GO_BUILDFLAGS is what gets passed as build flags argument.

jlaffaye accepted this revision.Apr 13 2019, 9:32 AM
tobik added a comment.Apr 14 2019, 6:19 AM

Can one of the Doc Committers review and maybe approve?

mat accepted this revision.Apr 18 2019, 12:48 PM
This revision is now accepted and ready to land.Apr 18 2019, 12:48 PM
This revision was automatically updated to reflect the committed changes.